// Copyright (c) 2023 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#pragma once
#include "scene/components/Components.hpp"

namespace Dawn {
  class PlayerController : public SceneItemComponent {
    protected:
      void onSceneUpdate();

    public:
      Camera *camera = nullptr;

      PlayerController(SceneItem *item);

      void onStart() override;

      ~PlayerController();
  };
}